
import math
def time2(h,n):
  g=9.8                     # gravitational field
  y=h                       # Initialize the height.
  v=0                       # Initialize the velocity.
  dy = -h/n                 # Divide h into n equal parts.
  t=0                       # Initialize the time.
  for i in range(n):
    y = y+dy                # Change y. (Note dy<0.)
    v = -math.sqrt(2*g*(h-y))        # from cons. of energy
    dt=dy/v                 #  dy and v are <0, so dt is >0
    t=t+dt                  # Keep track of elapsed time.
  return t
