
import math
def u(k,x):
  return .5*k*x**2

def osc(m,k,a,n):
  x=a
  v=0
  dx = -2.*a/n
  t=0
  e = u(k,x)+.5*m*v**2
  for i in range(n):
    x_old = x
    v_old = v
    x = x+dx
    kinetic = e-u(k,x)
    if kinetic<0. :
      v=0.
      print "warning, K=",kinetic,"<0"
    else :
      v = -math.sqrt(2.*kinetic/m)
    v_avg = (v+v_old)/2.
    dt=dx/v_avg
    t=t+dt
  return 2.*t
